StateMachine.TransitionTable (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.tagvalue.StateMachine.TransitionTable class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.tagvalue
Class StateMachine.TransitionTable

    java.lang.Object
      org.biojava.bio.program.tagvalue.StateMachine.TransitionTable

Enclosing class:
  StateMachine

    public class StateMachine.TransitionTable

extends Object

Table of Transition destination States and their corresponding Tags.

Note that you can chain a series of these Transition tables and the lookup will proceed along the chain until it succeeds.

Constructor Summary
`protected` | `StateMachine.TransitionTable()`

Method Summary
`StateMachine.Transition` | `get(Object tag)` get the Transition associated with the specified tag.
`void` | `put(Object tag, StateMachine.Transition transition)` set a Transition within this TransitionTable (2-argument form)
`void` | `setFallback(StateMachine.TransitionTable fallback)` set the specified TransitionTable to be looked looked up if the Transition cannot be found in this one.
`void` | `setTransition(Object tag, StateMachine.State destination, boolean notifyOnExit)` set a Transition within this TransitionTable (3-argument form)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StateMachine.TransitionTable

    protected StateMachine.TransitionTable()

Method Detail

### put

    public void put(Object tag,
                    StateMachine.Transition transition)
             throws ParserException

  set a Transition within this TransitionTable (2-argument form)

  Throws:
    `ParserException`

### setTransition

    public void setTransition(Object tag,
                              StateMachine.State destination,
                              boolean notifyOnExit)
                       throws ParserException

  set a Transition within this TransitionTable (3-argument form)

  Throws:
    `ParserException`

### get

    public StateMachine.Transition get(Object tag)

  get the Transition associated with the specified tag.

### setFallback

    public void setFallback(StateMachine.TransitionTable fallback)

  set the specified TransitionTable to be looked looked up if the Transition cannot be found in this one.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD